--
pause Setup EBR demo
--
-- Setup for demo purposes only; not normally required
--
-- logon as dba user
connect sys as sysdba
drop edition myORA$BASE cascade;
drop edition myedition1 cascade;
drop edition myedition2 cascade;
--
-- create test ebr_dba
drop user ebr_dba cascade;
create user ebr_dba identified by ebr_dba;
-- note: create any edition, drop any edition
grant connect,resource,create any edition, drop any edition, alter session, create any view to ebr_dba;
--
-- create test app_schema
-- (normally would repurpose prod. schema)
drop user app_schema cascade;
create user app_schema identified by app_schema;
grant connect,resource,create any view to app_schema;
--
-- create test ebr_user
-- (normally would repurpose prod. user)
drop user ebr_user cascade;
create user ebr_user identified by ebr_user;
grant connect to ebr_user;
--
--create base table for test
--
connect app_schema/app_schema
create table emp as select * from scott.emp;
grant all on emp to ebr_user;
--
--
-- build base table 2 for testing
connect app_schema/app_schema
drop table myemp cascade constraints;
create table myemp as select * from scott.emp;
alter table myemp add primary key (empno);
grant all on myemp to ebr_user;
--
--
create or replace function my_ebr_test 
return varchar2
is
 ed_name varchar2(40);
begin
  dbms_output.put_line('Original Function');
  select sys_context('Userenv','Current_Edition_name') 
       into ed_name
       from dual;
  return ed_name;
end;
/
grant execute on my_ebr_test to public;
--
--
connect ebr_user/ebr_user
select app_schema.my_ebr_test from dual;
--
--  build first (base) edition
-- (normally would use ORA$BASE)
connect ebr_dba/ebr_dba
create edition myORA$BASE as child of ora$base;	
grant use on edition myORA$BASE to app_schema,ebr_user;
--