CREATE OR REPLACE TRIGGER EMPCOMPOUND2
  FOR UPDATE OF SAL ON EMP
    FOLLOWS EMP_FOLLOWS2
    COMPOUND TRIGGER
  -- Global Declaration Section
   ctrvar number := 0;
  BEFORE STATEMENT IS
    BEGIN
      ctrvar := ctrvar + 1;
      dbms_output.put_line('CT2 Before Statement value is ' || ctrvar);
    END BEFORE STATEMENT;
  BEFORE EACH ROW 
    IS
    BEGIN
      ctrvar := ctrvar + 1;
      dbms_output.put_line('CT2 Before Row value is ' || ctrvar);
    END BEFORE EACH ROW;
  AFTER EACH ROW IS
    BEGIN
      ctrvar := ctrvar + 1;
      dbms_output.put_line('CT2 After Row value is ' || ctrvar);
    END AFTER EACH ROW;
  AFTER STATEMENT IS
    BEGIN
      ctrvar := ctrvar + 1;
      dbms_output.put_line('CT2 After Statement value is ' || ctrvar);
    END AFTER STATEMENT;
    
END EMPCOMPOUND2;
/
