drop table externemp;
create table externemp
  ( empno      number(4) 
   ,ename      char(10)
   ,job        char(9)
   ,mgr        number(4)
   ,hiredate   date
   ,sal        number(7,2)
   ,comm       number(7,2)
   ,deptno     number(2)
  )
  organization external
  (type oracle_loader 
    default directory samp_dir
    access parameters
    ( 
     records delimited by newline 
     fields terminated by ',' 
     missing field values are null 
     ( empno, ename, job, mgr, 
        hiredate char date_format date mask "mm-dd-yyyy", 
        sal, comm, deptno 
      ) 
    ) 
   location ('personc.dat')
  )
/
