--
pause Show PL/SQL Only and EBR
-- 
-- Readying for EBR
--
-- Grant enable editions to prod schema
connect sys as sysdba
grant create any view to app_schema;
alter user app_schema enable editions;
--
--
-- Create myedition1 for testing; could just use default edition
--
connect ebr_dba/ebr_dba
create edition myedition1 as child of myORA$BASE;	
grant use on edition myedition1 to app_schema,ebr_user;
--
-- modify PL/SQL function
connect app_schema/app_schema
alter session set edition = myedition1;
select sys_context('Userenv','Current_Edition_name') CurrentEdition,user from dual;
--
create or replace function my_ebr_test 
return varchar2
is
 ed_name varchar2(40);
begin
  dbms_output.put_line('Function with Changes');
  select sys_context('Userenv','Current_Edition_name') 
       into ed_name
       from dual;
  return ed_name;
end;
/
--
connect ebr_user/ebr_user edition=myedition1
select app_schema.my_ebr_test from dual;
--
connect ebr_user/ebr_user edition=myORA$BASE
select app_schema.my_ebr_test from dual;
--